#pragma once

#include <QMainWindow>
#include <memory>

namespace Ui
{
   class Menu;
}

class Menu : public QMainWindow
{
   Q_OBJECT

public:
   explicit Menu(QWidget *parent = nullptr);
   ~Menu();

public slots:
   void mapNew();
   void mapOpen();
   void openAbout();
   void openMapProperties();

private:
   std::unique_ptr<Ui::Menu> ui;
};

// EOF
